title: A look at your [[this]]
transient_title: Here''s an overview of your [[this]]
description: How many [[GenericTable]] there are per state, and how each state is represented across other categories.
applies_to: GenericTable.State
metrics:
- Sum: [sum, [dimension, GenericNumber]]
- Avg: [avg, [dimension, GenericNumber]]
- Count: [count]
- Distinct: [distinct, [dimension, this]]
dimensions:
  - GenericNumber: GenericTable.Number
  - GenericCategoryMedium:
      field_type: GenericTable.Category
      max_cardinality: 12
      score: 90
# bind just so they don't get used
  - LongLat: GenericTable.Coordinate
  - ZipCode: GenericTable.ZipCode
# only used for filters
  - Country:
      field_type: GenericTable.Country
  - State:
      field_type: GenericTable.State
  - Timestamp:
      field_type: CreationTimestamp
      score: 100
  - Timestamp:
      field_type: DateTime
      score: 90
filters:
  - Nils: [is-null, [dimension, this]]
dashboard_filters:
  - Timestamp
  - State
  - Country
  - GenericCategoryMedium
groups:
  - Overview:
      title: Overview
  - Breakdowns:
      title: How the [[this]] is distributed
      comparison_title: How they compare by distribution
cards:
  - Count:
      title: Count
      visualization: scalar
      metrics: Count
      group: Overview
      width: 6
  - Nils:
      title: Null values
      visualization: scalar
      metrics: Count
      filters: Nils
      group: Overview
      width: 6
  - Distinct:
      title: Distinct values
      visualization: scalar
      metrics: Distinct
      group: Overview
      width: 6
  - Distribution:
      title: "[[GenericTable]] per [[this]]"
      visualization:
        map:
          map.type: region
          map.region: us_states
      metrics: Count
      dimensions: this
      group: Overview
  - Top5:
      title: Top 5 [[this]]
      visualization: row
      metrics: Count
      dimensions: this
      limit: 5
      order_by:
        - Count: descending
      group: Overview
  - Bottom5:
      title: Bottom 5 [[this]]
      visualization: row
      metrics: Count
      dimensions: this
      limit: 5
      order_by:
        - Count: ascending
      group: Overview
  - ByNumber:
      title: "Sum of [[GenericNumber]] per [[this]]"
      visualization:
        map:
          map.type: region
          map.region: us_states
      metrics:
      - Sum
      dimensions: this
      group: Breakdowns
  - Crosstab:
      title: "[[this]] by [[GenericCategoryMedium]]"
      visualization: table
      metrics: Count
      dimensions:
      - this
      - GenericCategoryMedium
      group: Breakdowns
      width: 9
      height: 8
